#
# $Id$
#

import common, unittest
from unittest import TestCase

class mdbTest(TestCase):

    def setUp(self):
        import mdb
        self.mdb = mdb


class connectTest(mdbTest):

    def test_0(self):
        db = self.mdb.connect("inputs/db-legal-00/")
        self.failUnless(db.__class__ == self.mdb.db.PVVDB)


class disconnectTest(mdbTest):

    def test_0(self):
        db = self.mdb.connect("inputs/db-legal-00/")
        self.mdb.disconnect(db)


class formatTest(mdbTest):

    def test_0(self):
        db = self.mdb.connect("inputs/db-legal-00/")
        format = db._PVVDB__format("inputs/format-legal-00")
        self.failUnless(format['username'] == 'scalar' and
                        format['realname'] == 'scalar' and
                        format['uid']      == 'scalar' and
                        format['disk']     == 'list'   and
                        format['bdb-uid']  == 'scalar' and
                        format['bdb-username'] == 'scalar' and
                        format['purged']   == 'scalar' and
                        format['membership'] == 'list')

class loadTest(mdbTest):

    def test_0(self):
        db = self.mdb.connect("inputs/db-legal-00/")
        user = db.load("user1")
        self.failUnless(user)

#
# Run the library tests.
#
if __name__ == '__main__':
    unittest.main()
